summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-18 18:58:05 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-28 23:40:43 +0100
commit16f71c0bfd026cafacd9a5fad1404e457ae55b78 (patch)
tree58fe599fc03bbf33314ccc5af29f156d306f6978
parent0e7aa587520399fcba122b4d91453bf4ec19e20d (diff)
test suite: forcesplit-overwrite: Check -pushed-good
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
-rw-r--r--tests/lib8
-rwxr-xr-xtests/tests/forcesplit-overwrite13
2 files changed, 20 insertions, 1 deletions
diff --git a/tests/lib b/tests/lib
index 248dca5..00ef417 100644
--- a/tests/lib
+++ b/tests/lib
@@ -736,6 +736,7 @@ t-splitbrain-pushed-good--unpack () {
ln -s $tmp/incoming/*.orig*.tar* . ||:
ln -s $incoming_dsc .
ln -s ${incoming_dsc/.dsc/.debian.tar}* .
+ ln -s ${incoming_dsc/.dsc/.tar}* . ||:
dpkg-source "$@" -x *.dsc
cd */.
git init
@@ -845,6 +846,13 @@ t-dpm-pushed-good () {
t-splitbrain-pushed-good-end-made-dep14
}
+t-split-unchanged-pushed-good () {
+ local suite=${1:-sid}
+ t-splitbrain-pushed-good-start
+ t-splitbrain-pushed-good--unpack
+ t-splitbrain-pushed-good-end-made-dep14
+}
+
t-commit-build-push-expect-log () {
local msg=$1
local mpat=$2
diff --git a/tests/tests/forcesplit-overwrite b/tests/tests/forcesplit-overwrite
index 0afb5ce..d07d65a 100755
--- a/tests/tests/forcesplit-overwrite
+++ b/tests/tests/forcesplit-overwrite
@@ -2,14 +2,25 @@
set -e
. tests/lib
+# This tests a native package with split view, including that the
+# pseudomerges end up in the right place.
+
t-setup-import examplegit
+t-select-package example
cd example
suite=stable
t-commit 'No changes, just send to stable' '' stable
-t-dgit -wgf --split-view --overwrite=1.2 push-source stable
+t-refs-same-start
+t-ref-head
+
+t-dgit -wgf --split-view --overwrite=1.2 --dgit-view-save=split.p push-source stable
+git branch -f split.b split.p
+
+t-ref-head
+t-split-unchanged-pushed-good $suite
t-ok